petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatZeroRowsColumnsLocal

Zeros all entries (except possibly the main diagonal) of a set of rows and columns of a matrix; using local numbering of rows.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatZeroRowsColumnsLocal(Mat mat,PetscInt numRows,const PetscInt rows[],PetscScalar diag,Vec x,Vec b)

Collective on Mat

### Input Parameters

| mat | - the matrix
| numRows | - the number of rows to remove
| rows | - the global row indices
| diag | - value put in all diagonals of eliminated rows
| x | - optional vector of solutions for zeroed rows (other entries in vector are not used)
| b | - optional vector of right hand side, that will be adjusted by provided solution

### Notes

Before calling MatZeroRowsColumnsLocal(), the user must first set the local-to-global mapping by calling MatSetLocalToGlobalMapping().

The user can set a value in the diagonal entry (or for the AIJ and row formats can optionally remove the main diagonal entry from the nonzero structure as well, by passing 0.0 as the final argument).

### See Also

MatZeroRowsIS(), MatZeroRowsColumns(), MatZeroRowsLocalIS(), MatZeroRowsStencil(), MatZeroEntries(), MatZeroRowsLocal(), MatSetOption(),
MatZeroRows(), MatZeroRowsColumnsLocalIS(), MatZeroRowsColumnsIS(), MatZeroRowsColumnsStencil()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages